NATS C Client with JetStream and Streaming support 3.6.1 The nats.io C Client, Supported by Synadia Communications Inc.

Loading...
Searching...
No Matches
Public Attributes | List of all members
jsPubOptions Struct Reference
Types

`#include <nats.h>`

## Public Attributes
int64_t | MaxWait
| Amount of time (in milliseconds) to wait for a publish response, default will the context's Wait value.
const char * | MsgId
| Message ID used for de-duplication.
const char * | ExpectStream
| Expected stream to respond from the publish call.
const char * | ExpectLastMsgId
| Expected last message ID in the stream.
uint64_t | ExpectLastSeq
| Expected last message sequence in the stream.
uint64_t | ExpectLastSubjectSeq
| Expected last message sequence for the subject in the stream.
bool | ExpectNoMessage
| Expected no message (that is, sequence == 0) for the subject in the stream.

## Detailed Description

JetStream publish options.

These are options that you can provide to JetStream publish APIs.

The common usage will be to initialize a structure on the stack by calling jsPubOptions_Init. Note that strings are owned by the application and need to be valid for the duration of the API call this object is passed to.

Note
  It is the user responsibility to free the strings if they have been allocated.

See also
  jsPubOptions_Init

## Member Data Documentation

## ◆ MaxWait

int64_t jsPubOptions::MaxWait

## ◆ MsgId

const char* jsPubOptions::MsgId

## ◆ ExpectStream

const char* jsPubOptions::ExpectStream

## ◆ ExpectLastMsgId

const char* jsPubOptions::ExpectLastMsgId

## ◆ ExpectLastSeq

uint64_t jsPubOptions::ExpectLastSeq

## ◆ ExpectLastSubjectSeq

uint64_t jsPubOptions::ExpectLastSubjectSeq

## ◆ ExpectNoMessage

bool jsPubOptions::ExpectNoMessage

The documentation for this struct was generated from the following file:

- nats.h